Index: src/mlx/gui/common.py
===================================================================
--- src/mlx/gui/common.py	(revision 97)
+++ src/mlx/gui/common.py	(revision 105)
@@ -1,3 +1,5 @@
 # Common things for the GUI
+
+import mlx.const as _const
 
 import os
@@ -148,2 +150,6 @@
 
 #------------------------------------------------------------------------------
+
+WINDOW_TITLE_BASE = "MAVA Logger X " + _const.VERSION
+
+#------------------------------------------------------------------------------
Index: src/mlx/gui/flight.py
===================================================================
--- src/mlx/gui/flight.py	(revision 102)
+++ src/mlx/gui/flight.py	(revision 105)
@@ -289,8 +289,10 @@
                 self._wizard.nextPage()
             else:
-                dialog = gtk.MessageDialog(type = MESSAGETYPE_ERROR,
+                dialog = gtk.MessageDialog(parent = self._wizard.gui.mainWindow,
+                                           type = MESSAGETYPE_ERROR,
                                            buttons = BUTTONSTYPE_OK,
                                            message_format =
                                            "Invalid pilot's ID or password.")
+                dialog.set_title(WINDOW_TITLE_BASE)
                 dialog.format_secondary_markup("Check the ID and try to reenter"
                                                " the password.")
@@ -298,8 +300,10 @@
                 dialog.hide()
         else:
-            dialog = gtk.MessageDialog(type = MESSAGETYPE_ERROR,
+            dialog = gtk.MessageDialog(parent = self._wizard.gui.mainWindow,
+                                       type = MESSAGETYPE_ERROR,
                                        buttons = BUTTONSTYPE_OK,
                                        message_format = 
                                        "Failed to connect to the MAVA website.")
+            dialog.set_title(WINDOW_TITLE_BASE)
             dialog.format_secondary_markup("Try again in a few minutes.")
             dialog.run()
@@ -516,7 +520,9 @@
             self._wizard.nextPage()
         else:
-            dialog = gtk.MessageDialog(type = MESSAGETYPE_ERROR,
+            dialog = gtk.MessageDialog(parent = self._wizard.gui.mainWindow,
+                                       type = MESSAGETYPE_ERROR,
                                        buttons = BUTTONSTYPE_OK,
                                        message_format = "Gate conflict detected again")
+            dialog.set_title(WINDOW_TITLE_BASE)
             dialog.format_secondary_markup("Try to select a different gate.")
             dialog.run()
@@ -1892,5 +1898,5 @@
                 type = MESSAGETYPE_INFO
                 messageFormat = "The PIREP was sent successfully."
-                secondaryMarkup = "Await the thorough scrutiny from our PIREP correctors! :)"
+                secondaryMarkup = "Await the thorough scrutiny by our fearless PIREP correctors! :)"
             elif result.alreadyFlown:
                 messageFormat = "The PIREP for this flight has already been sent!"
@@ -1908,6 +1914,8 @@
                               "see the debug log for more information."
         
-        dialog = gtk.MessageDialog(type = type, buttons = BUTTONSTYPE_OK,
+        dialog = gtk.MessageDialog(parent = self._wizard.gui.mainWindow,
+                                   type = type, buttons = BUTTONSTYPE_OK,
                                    message_format = messageFormat)
+        dialog.set_title(WINDOW_TITLE_BASE)
         if secondaryMarkup is not None:
             dialog.format_secondary_markup(secondaryMarkup)
@@ -2163,9 +2171,11 @@
             self._fleet = None
 
-            dialog = gtk.MessageDialog(type = MESSAGETYPE_ERROR,
+            dialog = gtk.MessageDialog(parent = self.gui.mainWindow,
+                                       type = MESSAGETYPE_ERROR,
                                        buttons = BUTTONSTYPE_OK,
                                        message_format =
                                        "Failed to retrieve the information on "
                                        "the fleet.")
+            dialog.set_title(WINDOW_TITLE_BASE)
             dialog.run()
             dialog.hide()
@@ -2192,9 +2202,11 @@
             success = None
 
-            dialog = gtk.MessageDialog(type = MESSAGETYPE_ERROR,
+            dialog = gtk.MessageDialog(parent = self.gui.mainWindow,
+                                       type = MESSAGETYPE_ERROR,
                                        buttons = BUTTONSTYPE_OK,
                                        message_format =
                                        "Failed to update the statuis of "
                                        "the airplane.")
+            dialog.set_title(WINDOW_TITLE_BASE)
             dialog.run()
             dialog.hide()
Index: src/mlx/gui/gui.py
===================================================================
--- src/mlx/gui/gui.py	(revision 99)
+++ src/mlx/gui/gui.py	(revision 105)
@@ -57,5 +57,5 @@
         
         window = gtk.Window()
-        window.set_title("MAVA Logger X " + const.VERSION)
+        window.set_title(WINDOW_TITLE_BASE)
         window.set_icon_from_file(os.path.join(iconDirectory, "logo.ico"))
         window.connect("delete-event",
@@ -119,4 +119,9 @@
                                       else gdk.WATCH)
 
+    @property
+    def mainWindow(self):
+        """Get the main window of the GUI."""
+        return self._mainWindow
+        
     @property
     def logger(self):
@@ -286,8 +291,9 @@
         self._statusbar.updateConnection(self._connecting, self._connected)
 
-        dialog = gtk.MessageDialog(type = MESSAGETYPE_ERROR,
+        dialog = gtk.MessageDialog(parent = self._mainWindow,
+                                   type = MESSAGETYPE_ERROR,
                                    message_format =
-                                   "Cannot connect to the simulator.",
-                                   parent = self._mainWindow)
+                                   "Cannot connect to the simulator.")
+        dialog.set_title(WINDOW_TITLE_BASE)
         dialog.format_secondary_markup("Rectify the situation, and press <b>Try again</b> "
                                        "to try the connection again, " 
@@ -321,7 +327,8 @@
                                    "The connection to the simulator failed unexpectedly.",
                                    parent = self._mainWindow)
+        dialog.set_title(WINDOW_TITLE_BASE)
         dialog.format_secondary_markup("If the simulator has crashed, restart it "
                                        "and restore your flight as much as possible "
-                                       "to the state it was in before the crash.\n"
+                                       "to the state it was in before the crash. "
                                        "Then press <b>Reconnect</b> to reconnect.\n\n"
                                        "If you want to cancel the flight, press <b>Cancel</b>.")
@@ -674,8 +681,10 @@
             result=RESPONSETYPE_YES
         else:
-            dialog = gtk.MessageDialog(type = MESSAGETYPE_QUESTION,
+            dialog = gtk.MessageDialog(parent = self._mainWindow,
+                                       type = MESSAGETYPE_QUESTION,
                                        buttons = BUTTONSTYPE_YES_NO,
                                        message_format =
                                        "Are you sure to quit the logger?")
+            dialog.set_title(WINDOW_TITLE_BASE)
             result = dialog.run()
             dialog.hide()
Index: src/mlx/gui/update.py
===================================================================
--- src/mlx/gui/update.py	(revision 38)
+++ src/mlx/gui/update.py	(revision 105)
@@ -39,5 +39,5 @@
 
         Updater._progressWindow = window = gtk.Window()
-        window.set_title("MAVA Logger X " + const.VERSION + " Update")
+        window.set_title(WINDOW_TITLE_BASE + " Update")
         window.set_transient_for(parentWindow)
         #win.set_icon_from_file(os.path.join(iconDirectory, "logo.ico"))
@@ -72,5 +72,5 @@
 
         Updater._sudoDialog = sudoDialog = \
-            gtk.Dialog("MAVA Logger X " + const.VERSION + " Update",
+            gtk.Dialog(WINDOW_TITLE_BASE + " Update",
                        parentWindow,
                        gtk.DialogFlags.MODAL if pygobject else gtk.DIALOG_MODAL,
